import getData from './internals/getData';
import assertCurrencyCode from './internals/assertCurrencyCode';
/**
 * Check if currency has been registered
 * @param code - Currency code
 * @returns - True if currency has been registered
 */
var isRegistered = function (code) {
    var data = getData();
    assertCurrencyCode(code);
    return code in data;
};
export default isRegistered;
//# sourceMappingURL=isRegistered.js.map