import getSmallestUnitDivisor from './getSmallestUnitDivisor';
/**
 * Convert a BigNumber to a string integer
 * @param value - value to be converted
 * @return - String integer value of the BigNumber value
 */
var convertBigNumberToStringInteger = function (money, value) {
    return value.times(getSmallestUnitDivisor(money)).toString();
};
export default convertBigNumberToStringInteger;
//# sourceMappingURL=convertBigNumberToStringInteger.js.map