import BigNumber from 'bignumber.js';
import getSmallestUnitDivisor from './getSmallestUnitDivisor';
/**
 * Get the smallest unit of the currency as a big number
 * @returns - Smallest unit of the currency
 */
var getSmallestUnitAsBigNumber = function (money) {
    return (new BigNumber('1')).dividedBy(getSmallestUnitDivisor(money));
};
export default getSmallestUnitAsBigNumber;
//# sourceMappingURL=getSmallestUnitAsBigNumber.js.map