import { Money } from '../../../Money';
import ROUNDING from '../../../constants/ROUNDING';
import { convertBigNumberToStringInteger } from '../_internals';
/**
 * Return the smallest integer greater than or equal to the current value
 * @returns - new Money instance with the ceiling value
 */
var ceil = function (money) {
    var newValue = money.value.decimalPlaces(0, ROUNDING.CEIL);
    return new Money(convertBigNumberToStringInteger(money, newValue), money.currency);
};
export default ceil;
//# sourceMappingURL=index.js.map