import Currency, { CurrencyInputSettings } from '../../../Currency';
import { Money } from '../../../Money';
/**
 * Parse money based on settings
 * @param value - Monetary value to be parsed
 * @param settings - Parsing settings, currency code or currency
 * @returns - Parsed "Money" value
 */
declare const parse: (value: string, settings: string | CurrencyInputSettings | Currency) => Money;
export default parse;
