"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var getData_1 = __importDefault(require("./internals/getData"));
var assertCurrencyCode_1 = __importDefault(require("./internals/assertCurrencyCode"));
/**
 * Check if currency has been registered
 * @param code - Currency code
 * @returns - True if currency has been registered
 */
var isRegistered = function (code) {
    var data = getData_1.default();
    assertCurrencyCode_1.default(code);
    return code in data;
};
exports.default = isRegistered;
//# sourceMappingURL=isRegistered.js.map