"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var getSmallestUnitDivisor_1 = __importDefault(require("./getSmallestUnitDivisor"));
/**
 * Convert a BigNumber to a string integer
 * @param value - value to be converted
 * @return - String integer value of the BigNumber value
 */
var convertBigNumberToStringInteger = function (money, value) {
    return value.times(getSmallestUnitDivisor_1.default(money)).toString();
};
exports.default = convertBigNumberToStringInteger;
//# sourceMappingURL=convertBigNumberToStringInteger.js.map