import BigNumber from 'bignumber.js';
import { Money } from '../../../Money';
/**
 * Get the smallest unit of the currency as a big number
 * @returns - Smallest unit of the currency
 */
declare const getSmallestUnitAsBigNumber: (money: Money) => BigNumber;
export default getSmallestUnitAsBigNumber;
