import { Money } from '../../../Money';
import ROUNDING from '../../../constants/ROUNDING';
/**
 * Performs division
 * @param value - value to divide the current value by
 * @param rounding - rounding mode used in money operation
 * @returns - new Money instance after division
 */
declare const divide: (money: Money, value: string | number, rounding?: ROUNDING) => Money;
export default divide;
