"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Money_1 = require("../../../Money");
/**
 * Performs an equality check
 * @param value - value to compare to the current value; type same as constructor
 * @returns - true if value is considered equal to the current value
 */
var equals = function (money, value) {
    value = new Money_1.Money(value, money.currency);
    return money.value.isEqualTo(value.amountAsBigNumber);
};
exports.default = equals;
//# sourceMappingURL=index.js.map