"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Money_1 = require("../../../Money");
var ROUNDING_1 = __importDefault(require("../../../constants/ROUNDING"));
var _internals_1 = require("../_internals");
/**
 * Return the largest integer less than or equal to the current value
 * @returns - new Money instance with the floor value
 */
var floor = function (money) {
    var newValue = money.value.decimalPlaces(0, ROUNDING_1.default.FLOOR);
    return new Money_1.Money(_internals_1.convertBigNumberToStringInteger(money, newValue), money.currency);
};
exports.default = floor;
//# sourceMappingURL=index.js.map