"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Money_1 = require("../../../Money");
/**
 * Performs a check if the current value is less than the parameter
 * @param value - value to compare to the current value; type same as constructor
 * @returns - true if the current value is less than the parameter
 */
exports.lessThan = function (money, value) {
    value = new Money_1.Money(value, money.currency);
    return money.value.isLessThan(value.amountAsBigNumber);
};
exports.default = exports.lessThan;
//# sourceMappingURL=index.js.map