import { Money } from '../../../Money';
import ROUNDING from '../../../constants/ROUNDING';
/**
 * Performs multiplication
 * @param value - value to multiply the current value
 * @param rounding - rounding mode used in money operation
 * @returns - new Money instance after multiplication
 */
declare const multiply: (money: Money, value: string | number, rounding?: ROUNDING) => Money;
export default multiply;
