"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Money_1 = require("../../../Money");
var _internals_1 = require("../_internals");
/**
 * Performs subtraction
 * @param value - value to be subtracted from the current value; type same as constructor
 * @returns - new Money instance after subtraction
 */
var subtract = function (money, value) {
    var moneyValue = new Money_1.Money(value, money.currency);
    var newValue = money.value.minus(moneyValue.amountAsBigNumber);
    return new Money_1.Money(_internals_1.convertBigNumberToStringInteger(money, newValue), money.currency);
};
exports.default = subtract;
//# sourceMappingURL=index.js.map