"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var WealthError_1 = __importDefault(require("../WealthError"));
/**
 * Error thrown when the input argument is wrong
 * @example
 * Basic usage
 * ```js
 * try {
 *  // operation
 * }
 * catch(e) {
 *  if(e instanceof WrongInputError) {
 *      // handle error
 *  }
 * }
 * ```
 */
var WrongInputError = /** @class */ (function (_super) {
    __extends(WrongInputError, _super);
    /**
     * @param message - Error message
     */
    function WrongInputError(message) {
        if (message === void 0) { message = 'Wrong input argument'; }
        /* istanbul ignore next */
        return _super.call(this, message) || this;
    }
    return WrongInputError;
}(WealthError_1.default));
exports.default = WrongInputError;
//# sourceMappingURL=index.js.map