import { Money } from '../../../Money';
import { convertBigNumberToStringInteger } from '../_internals';
/**
 * Performs addition
 * @param value - value to be added to the current value;
 * type same as constructor
 * @returns - new Money instance after addition
 */
var add = function (money, value) {
    var moneyValue = new Money(value, money.currency);
    var newValue = money.value.plus(moneyValue.amountAsBigNumber);
    return new Money(convertBigNumberToStringInteger(money, newValue), money.currency);
};
export default add;
//# sourceMappingURL=index.js.map