import { Money } from '../../../Money';
/**
 * Split the current value by an array of ratios
 * @param ratios - an array of numbers by which to divide up the current value
 * @returns - an array of new Money instances, resulting from splitting the current value
 */
declare const allocate: (money: Money, ratios: (string | number)[]) => Money[];
export default allocate;
