import { Money } from '../../../Money';
/**
 * Split the current value by the count
 * @param count - count by which to allocate the current value (must be a 1+ integer)
 * @returns - an array of new Money instances, resulting from splitting the current value
 */
declare const allocateBy: (money: Money, count: string | number) => Money[];
export default allocateBy;
