import { Money } from '../../../Money';
import ROUNDING from '../../../constants/ROUNDING';
import { convertBigNumberToStringInteger } from '../_internals';
/**
 * Return the largest integer less than or equal to the current value
 * @returns - new Money instance with the floor value
 */
var floor = function (money) {
    var newValue = money.value.decimalPlaces(0, ROUNDING.FLOOR);
    return new Money(convertBigNumberToStringInteger(money, newValue), money.currency);
};
export default floor;
//# sourceMappingURL=index.js.map