import { Money } from '../../../Money';
/**
 * Performs a check if the current value is less than or equal to the parameter
 * @param value - value to compare to the current value; type same as constructor
 * @returns - true if the current value is less than or equal to the parameter
 */
export declare const lessThanOrEqualTo: (money: Money, value: string | number | Money) => boolean;
export default lessThanOrEqualTo;
