var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ExtendableError from 'es6-error';
/**
 * The base error for all custom errors thrown by the "Wealth" library.
 * It's useful when trying to catch all types of "Wealth" errors.
 * @example
 * Basic usage
 * ```js
 * try {
 *  // operation
 * }
 * catch(e) {
 *  if(e instanceof WealthError) {
 *      // handle error
 *  }
 * }
 * ```
 */
var WealthError = /** @class */ (function (_super) {
    __extends(WealthError, _super);
    /**
     * @param message - Error message
     */
    function WealthError(message) {
        if (message === void 0) { message = 'Wealth error'; }
        /* istanbul ignore next */
        return _super.call(this, message) || this;
    }
    return WealthError;
}(ExtendableError));
export default WealthError;
//# sourceMappingURL=index.js.map