"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var getData_1 = __importDefault(require("./internals/getData"));
var assertCurrencyCode_1 = __importDefault(require("./internals/assertCurrencyCode"));
/**
 * Delete a registered currency
 * @param code - Currency code
 */
var deregister = function (code) {
    var data = getData_1.default();
    assertCurrencyCode_1.default(code);
    return delete data[code];
};
exports.default = deregister;
//# sourceMappingURL=deregister.js.map