"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var common_tags_1 = require("common-tags");
var WrongInputError_1 = __importDefault(require("../../../errors/WrongInputError"));
var assertCurrencyCode = function (code) {
    if (typeof code !== 'string' || !code || code !== code.trim().toUpperCase()) {
        throw new WrongInputError_1.default(common_tags_1.oneLine(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n        Currency code must be a non-empty,\n        uppercase string with contain no leading or trailing spaces\n      "], ["\n        Currency code must be a non-empty,\n        uppercase string with contain no leading or trailing spaces\n      "]))));
    }
};
exports.default = assertCurrencyCode;
var templateObject_1;
//# sourceMappingURL=index.js.map