import { Money } from '../..';
/**
 * Used by allocation methods to add the remainder to the array of allocations
 * @param allocations - an array of Money instances already allocated
 * @param remainder - a Money instance with the remainder yet to be added
 * to the array of allocations
 * @returns - the final allocations array of Money instances
 */
declare const addRemainderToAllocations: (money: Money, allocations: Money[], remainder: Money) => Money[];
export default addRemainderToAllocations;
