import { Money } from '../../../Money';
import Currency, { CurrencyInputSettings } from '../../../Currency';
/**
 * Get currency from the given settings and monetary value
 * @param settings - Formatting settings, currency code or currency
 * @param value - Monetary value to be formatted
 * @returns - Currency
 * @private
 */
declare const getCurrency: (settings?: string | CurrencyInputSettings | Currency | undefined, value?: Money | undefined) => Currency;
export default getCurrency;
