"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var bignumber_js_1 = __importDefault(require("bignumber.js"));
var getSmallestUnitDivisor_1 = __importDefault(require("./getSmallestUnitDivisor"));
/**
 * Get the smallest unit of the currency as a big number
 * @returns - Smallest unit of the currency
 */
var getSmallestUnitAsBigNumber = function (money) {
    return (new bignumber_js_1.default('1')).dividedBy(getSmallestUnitDivisor_1.default(money));
};
exports.default = getSmallestUnitAsBigNumber;
//# sourceMappingURL=getSmallestUnitAsBigNumber.js.map