import { Money } from '../../../Money';
/**
 * Return the absolute monetary value of the current value,
 * i.e., remove the minus sign if the value is below zero
 * @returns - new Money instance with the absolute value
 */
declare const absolute: (money: Money) => Money;
export default absolute;
