"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Money_1 = require("../../../Money");
var _internals_1 = require("../_internals");
/**
 * Return the absolute monetary value of the current value,
 * i.e., remove the minus sign if the value is below zero
 * @returns - new Money instance with the absolute value
 */
var absolute = function (money) {
    var newValue = money.value.absoluteValue();
    return new Money_1.Money(_internals_1.convertBigNumberToStringInteger(money, newValue), money.currency);
};
exports.default = absolute;
//# sourceMappingURL=index.js.map