"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Money_1 = require("../../../Money");
var _internals_1 = require("../_internals");
/**
 * Performs addition
 * @param value - value to be added to the current value;
 * type same as constructor
 * @returns - new Money instance after addition
 */
var add = function (money, value) {
    var moneyValue = new Money_1.Money(value, money.currency);
    var newValue = money.value.plus(moneyValue.amountAsBigNumber);
    return new Money_1.Money(_internals_1.convertBigNumberToStringInteger(money, newValue), money.currency);
};
exports.default = add;
//# sourceMappingURL=index.js.map