import Currency, { CurrencyInputSettings } from '../../../Currency';
import { Money } from '../..';
/**
 * Get formatting details
 * @param value - Monetary value to be formatted
 * @param settings - Formatting settings, currency code or currency
 * @returns - Formatting details
 * @private
 */
export declare const getFormattingDetails: (value: Money, settings?: string | CurrencyInputSettings | Currency | undefined) => {
    symbol: string;
    code: string;
    decimalDigits: number;
    thousandsSeparator: string;
    decimalSeparator: string;
    pattern: string;
    formatter: import("../../../Currency").CurrencyFormatter | undefined;
    value: import("bignumber.js").BigNumber;
};
