"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Money_1 = require("../../../Money");
/**
 * Performs a check if the current value is greater than or equal to the parameter
 * @param value - value to compare to the current value; type same as constructor
 * @returns - true if the current value is greater than or equal to the parameter
 */
exports.greaterThanOrEqualTo = function (money, value) {
    value = new Money_1.Money(value, money.currency);
    return money.value.isGreaterThanOrEqualTo(value.amountAsBigNumber);
};
exports.default = exports.greaterThanOrEqualTo;
//# sourceMappingURL=index.js.map